View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.converter;
    17
    18  import org.seasar.cubby.action.MessageInfo;
    19
    20  /**
    21   * 型変換に失敗した場合にスローする例外です。
    22   *
    23   * @author baba
    24   */
    25  public class ConversionException extends Exception {
    26
    27  	/** シリアルバージョンUID。 */
    28  	private static final long serialVersionUID = 1L;
    29
    30  	/** メッセージ情報。 */
    31  	private final MessageInfo messageInfo;
    32
    33  	/**
    34  	 * 新規例外を構築します。
    35  	 *
    36  	 * @param messageInfo
    37  	 *            メッセージ情報
    38  	 */
    39  	public ConversionException(final MessageInfo messageInfo) {
    40  		this.messageInfo = messageInfo;
    41  	}
    42
    43  	/**
    44  	 * 新規例外を構築します。
    45  	 *
    46  	 * @param messageInfo
    47  	 *            メッセージ情報
    48  	 * @param cause
    49  	 *            原因
    50  	 */
    51  	public ConversionException(final MessageInfo messageInfo,
    52  			final Throwable cause) {
    53  		super(cause);
    54  		this.messageInfo = messageInfo;
    55  	}
    56
    57  	/**
    58  	 * メッセージ情報を取得します。
    59  	 *
    60  	 * @return メッセージ情報
    61  	 */
    62  	public MessageInfo getMessageInfo() {
    63  		return messageInfo;
    64  	}
    65
    66  }